---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-8-10 17:01:26
---

local LBaseEngineOption = ImportScript("ugc_common/script/core/base_engine_option.lua").LBaseEngineOption;

---@class LBaseEngineOption
local LPCEngineOption = LPCEngineOption or class("LPCEngineOption", LBaseEngineOption);

---@param nLevel number 
---@return boolean 
function LPCEngineOption:SetWaterEffectLevel(nLevel)
    return KLEngineOption.SetWaterEffectLevel(nLevel);
end 

---@return number 
function LPCEngineOption:GetWaterEffectLevel()
    return KLEngineOption.GetWaterEffectLevel();
end 

---@param nType number 
---@return boolean 
function LPCEngineOption:SetShadowType(nType)
    return KLEngineOption.SetShadowType(nType);
end 

---@return number 
function LPCEngineOption:GetShadowType()
    return KLEngineOption.GetShadowType();
end 

---@param bEnable boolean 
---@return boolean 
function LPCEngineOption:EnableTXAA(bEnable)
    return KLEngineOption.EnableTXAA(bEnable);
end 

---@return boolean 
function LPCEngineOption:IsEnableTXAA()
    return KLEngineOption.IsEnableTXAA();
end 

---@param bEnable boolean 
---@return boolean 
function LPCEngineOption:EnableSMAA(bEnable)
    return KLEngineOption.EnableSMAA(bEnable);
end 

---@return boolean 
function LPCEngineOption:IsEnableSMAA()
    return KLEngineOption.IsEnableSMAA();
end 

---@return boolean 
function LPCEngineOption:Apply()
    return KLEngineOption.Apply();
end 

_G.g_EngineOption = LPCEngineOption:new();
